## mingw-w64-qt6-declarative-6.10.0-1.src.tar.zst

=== examples/quick/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

qt_internal_add_example(quick-accessibility)
qt_internal_add_example(animation)
qt_internal_add_example(draganddrop)
qt_internal_add_example(canvas)
if (NOT INTEGRITY AND NOT VXWORKS)
    qt_internal_add_example(flexboxlayout)
endif()
qt_internal_add_example(imageelements)
qt_internal_add_example(keyinteraction)
qt_internal_add_example(layouts)
qt_internal_add_example(responsivelayouts)
qt_internal_add_example(localstorage)
add_subdirectory(models)
qt_internal_add_example(views)
add_subdirectory(tableview)
qt_internal_add_example(mousearea)
qt_internal_add_example(positioners)
add_subdirectory(scenegraph)
qt_internal_add_example(shadereffects)
qt_internal_add_example(text)
add_subdirectory(tutorials)
add_subdirectory(customitems)
qt_internal_add_example(imageprovider)
qt_internal_add_example(imageresponseprovider)
qt_internal_add_example(window)
add_subdirectory(particles)
qt_internal_add_example(itemvariablerefreshrate)
add_subdirectory(multieffect)
if(QT_FEATURE_opengl OR QT_FEATURE_opengles2 OR QT_FEATURE_opengles3)
    add_subdirectory(rendercontrol)
endif()
if(TARGET Qt6::Widgets)
    qt_internal_add_example(embeddedinwidgets)
endif()
if(TARGET Qt6::QuickWidgets AND TARGET Qt6::Widgets AND (QT_FEATURE_opengl OR QT_FEATURE_opengles2 OR QT_FEATURE_opengles3))
    add_subdirectory(quickwidgets)
endif()
add_subdirectory(quickshapes)
qt_internal_add_example(advancedtext)
qt_internal_add_example(vectorimage)

# qt_examples_build_end() misses at least some of these due to some
# source subdirectories being added multiple times. See QTBUG-96159.
set(reused_dir_targets
    animation_shared
    canvas_shared
    views_shared
    positioners_shared
    text_shared
    window_shared
    imageelements_shared
    pointerhandlers_shared
    affectors_shared
    emitters_shared
    imageparticle_shared
    itemparticle_shared
    system_shared
    draganddrop_shared
    testbed_shared
    itemswitcher_shared
    neumorphicpanel_shared
)

foreach(target IN LISTS reused_dir_targets)
    if(TARGET ${target})
        qt_autogen_tools(${target} ENABLE_AUTOGEN_TOOLS moc rcc)
        if(TARGET Qt6::Widgets)
            qt_autogen_tools(${target} ENABLE_AUTOGEN_TOOLS uic)
        endif()
    endif()
endforeach()

=== src/qmlintegration/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_internal_add_module(QmlIntegration
    HEADER_MODULE
    NO_PRIVATE_MODULE
    SOURCES
        qqmlintegration.h
    LIBRARIES
        Qt::Core
    NO_GENERATE_CPP_EXPORTS
)

=== src/quickshapes/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## QuickShapesPrivate Module:
#####################################################################

qt_internal_add_qml_module(QuickShapesPrivate
    URI "QtQuick.Shapes"
    VERSION "${PROJECT_VERSION}"
    PLUGIN_TARGET qmlshapesplugin
    NO_PLUGIN_OPTIONAL
    NO_GENERATE_PLUGIN_SOURCE
    CLASS_NAME QmlShapesPlugin
    DEPENDENCIES
        QtQuick/auto
    INTERNAL_MODULE
    SOURCES
        qquickshape.cpp qquickshape_p.h
        qquickshape_p_p.h
        qquickshapegenericrenderer.cpp qquickshapegenericrenderer_p.h
        qquickshapesglobal.h qquickshapesglobal_p.h
        qquickshapecurverenderer.cpp qquickshapecurverenderer_p.h qquickshapecurverenderer_p_p.h
        qquickshapesoftwarerenderer.cpp qquickshapesoftwarerenderer_p.h
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::GuiPrivate
        Qt::Qml
        Qt::QuickPrivate
    )

# We need to do additional initialization, so we have to provide our own
# plugin class rather than using the generated one
qt_internal_extend_target(qmlshapesplugin
    SOURCES   qquickshapesplugin.cpp
    LIBRARIES Qt::QuickShapesPrivate
)

qt_internal_add_shaders(QuickShapesPrivate "qtquickshapes_shaders"
    SILENT
    BATCHABLE
    PRECOMPILE
    OPTIMIZED
    MULTIVIEW
    PREFIX
        "/qt-project.org/shapes"
    FILES
        "shaders_ng/lineargradient.vert"
        "shaders_ng/lineargradient.frag"
        "shaders_ng/radialgradient.vert"
        "shaders_ng/radialgradient.frag"
        "shaders_ng/conicalgradient.vert"
        "shaders_ng/conicalgradient.frag"
        "shaders_ng/texturefill.vert"
        "shaders_ng/texturefill.frag"
        "shaders_ng/wireframe.frag"
        "shaders_ng/wireframe.vert"
)

if(QT_FEATURE_quickshapes_designhelpers)
    add_subdirectory(designhelpers)
endif()

=== tests/manual/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

add_subdirectory(highdpi)
# add_subdirectory(httpserver) # TODO: C++ API changed, does this test still make sense?
add_subdirectory(listview)
add_subdirectory(mousearea)
add_subdirectory(nodetypes_ng)
# add_subdirectory(qmltypememory) # TODO: C++ API changed
# add_subdirectory(quickwidgetviewer) # TODO: C++ API changed
add_subdirectory(righttoleft)
add_subdirectory(scalablepath)
add_subdirectory(shapestest)
add_subdirectory(tableview)
add_subdirectory(text)
add_subdirectory(touch)
add_subdirectory(threading)
# add_subdirectory(v4) # TODO: port if needed
add_subdirectory(quickcontrols)
add_subdirectory(quickdialogs)
add_subdirectory(frameanimation)
if(QT_FEATURE_qml_network AND TARGET Qt::Quick)
    add_subdirectory(networkaccessmanagerfactory)
endif()
add_subdirectory(qmlextensionplugins)
add_subdirectory(fontfeatures)
add_subdirectory(wasm)
add_subdirectory(qmltest)
add_subdirectory(window)
add_subdirectory(itemparticle)
add_subdirectory(delegatechooser)
add_subdirectory(maskedmousearea)
add_subdirectory(windowembedding)
if(TARGET Qt::QuickVectorImage)
    add_subdirectory(quickvectorimage)
    add_subdirectory(vectorimagetest)
endif()
add_subdirectory(e2e)

=== tools/qmlprofiler/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from qmlprofiler.pro.

#####################################################################
## qmlprofiler Tool:
#####################################################################

qt_get_tool_target_name(target_name qmlprofiler)
qt_internal_add_tool(${target_name}
    TARGET_DESCRIPTION "QML Profiler"
    TOOLS_TARGET Qml # special case
    SOURCES
        commandlistener.cpp commandlistener.h
        constants.h
        main.cpp
        qmlprofilerapplication.cpp qmlprofilerapplication.h
        qmlprofilerclient.cpp qmlprofilerclient.h
        qmlprofilerdata.cpp qmlprofilerdata.h
    LIBRARIES
        Qt::Network
        Qt::QmlDebugPrivate
)
qt_internal_return_unless_building_tools()

#### Keys ignored in scope 1:.:.:qmlprofiler.pro:<TRUE>:
# QMAKE_TARGET_DESCRIPTION = "QML" "Profiler"

=== tools/qmlscene/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## qmlscene App:
#####################################################################

qt_internal_add_app(qmlscene
    TARGET_DESCRIPTION "QML Scene Viewer"
    SOURCES
        main.cpp
    DEFINES
        QML_RUNTIME_TESTING
    LIBRARIES
        Qt::CorePrivate
        Qt::Gui
        Qt::GuiPrivate
        Qt::Qml
        Qt::Quick
        Qt::QuickPrivate
)

set_target_properties(qmlscene PROPERTIES WIN32_EXECUTABLE FALSE)

qt_internal_extend_target(qmlscene CONDITION TARGET Qt::Widgets
    PUBLIC_LIBRARIES
        Qt::Widgets
)

qt_internal_extend_target(qmlscene CONDITION QT_FEATURE_qml_debug
    DEFINES
        QT_QML_DEBUG_NO_WARNING
)

=== examples/quick/animation/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

cmake_minimum_required(VERSION 3.16)
project(animation LANGUAGES CXX)

find_package(Qt6 REQUIRED COMPONENTS Core Gui Qml Quick)

qt_standard_project_setup(REQUIRES 6.8)

add_subdirectory("../shared" "shared")

qt_add_executable(animationexample
    WIN32
    MACOSX_BUNDLE
    main.cpp
)

target_link_libraries(animationexample PRIVATE
    Qt6::Core
    Qt6::Gui
    Qt6::Qml
    Qt6::Quick
)

add_dependencies(animationexample animation_shared)

qt_add_qml_module(animationexample
    URI animation
    QML_FILES
        "animation.qml"
        "basics/animators.qml"
        "basics/color-animation.qml"
        "basics/property-animation.qml"
        "behaviors/FocusRect.qml"
        "behaviors/SideRect.qml"
        "behaviors/behavior-example.qml"
        "behaviors/tvtennis.qml"
        "behaviors/wigglytext.qml"
        "easing/easing.qml"
        "pathanimation/pathanimation.qml"
        "pathinterpolator/pathinterpolator.qml"
        "states/states.qml"
        "states/transitions.qml"
    RESOURCES
        "basics/images/face-smile.png"
        "basics/images/moon.png"
        "basics/images/shadow.png"
        "basics/images/star.png"
        "basics/images/sun.png"
        "states/qt-logo.png"
)

install(TARGETS animationexample
    BUNDLE  DESTINATION .
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
)

qt_generate_deploy_qml_app_script(
    TARGET animationexample
    OUTPUT_SCRIPT deploy_script
    MACOS_BUNDLE_POST_BUILD
    NO_UNSUPPORTED_PLATFORM_ERROR
    DEPLOY_USER_QML_MODULES_ON_UNSUPPORTED_PLATFORM
)
install(SCRIPT ${deploy_script})

=== src/labs/models/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_internal_add_qml_module(LabsQmlModels
    URI "Qt.labs.qmlmodels"
    VERSION "${PROJECT_VERSION}"
    PLUGIN_TARGET labsmodelsplugin
    CLASS_NAME QtQmlLabsModelsPlugin
    SOURCES
        qqmlmodelsglobal_p.h
    DEFINES
        QT_BUILD_LABSQMLMODELS_LIB
    LIBRARIES
        Qt::QmlModelsPrivate
        Qt::QmlPrivate
    DEPENDENCIES
        QtQml.Models/auto
    )

qt_internal_extend_target(LabsQmlModels CONDITION QT_FEATURE_qml_table_model
    SOURCES
        qqmlabstractcolumnmodel.cpp qqmlabstractcolumnmodel_p.h
        qqmltablemodel.cpp qqmltablemodel_p.h
        qqmltablemodelcolumn.cpp qqmltablemodelcolumn_p.h
)

qt_internal_extend_target(LabsQmlModels CONDITION QT_FEATURE_qml_delegate_model
    SOURCES
        qqmldelegatechooser.cpp qqmldelegatechooser_p.h
)

qt_internal_extend_target(LabsQmlModels CONDITION QT_FEATURE_qml_tree_model
    SOURCES
        qqmltreemodel.cpp qqmltreemodel_p.h
        qqmltreerow.cpp qqmltreerow_p.h
)

=== src/labs/sharedimage/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_internal_add_qml_module(LabsSharedImage
    URI "Qt.labs.sharedimage"
    VERSION "${PROJECT_VERSION}"
    __QT_INTERNAL_STATIC_MODULE
    PLUGIN_TARGET sharedimageplugin
    NO_PLUGIN_OPTIONAL
    NO_GENERATE_PLUGIN_SOURCE
    CLASS_NAME QtQuickSharedImagePlugin
    SOURCES
        qsharedimageloader.cpp qsharedimageloader_p.h
        qsharedimageprovider.cpp qsharedimageprovider_p.h
        qtlabssharedimageglobal_p.h
    DEFINES
        QT_BUILD_LABSSHAREDIMAGE_LIB
    LIBRARIES
        Qt::CorePrivate
        Qt::GuiPrivate
        Qt::QuickPrivate
    )

# We need to do additional initialization, so we have to provide our own
# plugin class rather than using the generated one
qt_internal_extend_target(sharedimageplugin
    SOURCES   qsharedimageplugin.cpp
    LIBRARIES
        Qt::LabsSharedImagePrivate
        Qt::QuickPrivate
)

=== src/labs/synchronizer/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_internal_add_qml_module(LabsSynchronizer
    URI "Qt.labs.synchronizer"
    VERSION "${PROJECT_VERSION}"
    DEPENDENCIES
        QtQml/auto
    SOURCES
        qqmlsynchronizer.cpp qqmlsynchronizer_p.h
    PUBLIC_LIBRARIES
        Qt::Core
    LIBRARIES
        Qt::QmlPrivate
    PRIVATE_MODULE_INTERFACE
        Qt::QmlPrivate
)

=== tests/manual/vectorimagetest/CMakeLists.txt ===
# Copyright (C) 2024 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.5)

project(vectorimagetest VERSION 0.1 LANGUAGES CXX)

set(CMAKE_AUTORCC ON)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(QT NAMES Qt6 Qt5 REQUIRED COMPONENTS Widgets Quick Qml Svg SvgWidgets QuickWidgets QuickVectorImageGeneratorPrivate)
find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Widgets Quick Qml Svg SvgWidgets QuickWidgets QuickVectorImageGeneratorPrivate)

qt_standard_project_setup(REQUIRES 6.8)

set(PROJECT_SOURCES
        main.cpp
        mainwindow.h mainwindow.cpp
        mainwindow.ui
        svgpainter.h svgpainter.cpp
        vectorimagemanager.h vectorimagemanager.cpp
)

if(${QT_VERSION_MAJOR} GREATER_EQUAL 6)
    qt_add_executable(vectorimagetest
        MANUAL_FINALIZATION
        ${PROJECT_SOURCES}
    )
# Define target properties for Android with Qt 6 as:
#    set_property(TARGET svg APPEND PROPERTY QT_ANDROID_PACKAGE_SOURCE_DIR
#                 ${CMAKE_CURRENT_SOURCE_DIR}/android)
# For more information, see https://doc.qt.io/qt-6/qt-add-executable.html#target-creation
else()
    if(ANDROID)
        add_library(vectorimagetest SHARED
            ${PROJECT_SOURCES}
        )
# Define properties for Android with Qt 5 after find_package() calls as:
#    set(ANDROID_PACKAGE_SOURCE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/android")
    else()
        add_executable(vectorimagetest
            ${PROJECT_SOURCES}
        )
    endif()
endif()

target_link_libraries(vectorimagetest PRIVATE Qt${QT_VERSION_MAJOR}::Widgets Qt${QT_VERSION_MAJOR}::Quick Qt${QT_VERSION_MAJOR}::Qml Qt${QT_VERSION_MAJOR}::Svg Qt${QT_VERSION_MAJOR}::QuickWidgets Qt${QT_VERSION_MAJOR}::QuickVectorImageGeneratorPrivate Qt${QT_VERSION_MAJOR}::SvgWidgets Qt${QT_VERSION_MAJOR}::GuiPrivate)

set_target_properties(vectorimagetest PROPERTIES
    MACOSX_BUNDLE_GUI_IDENTIFIER my.example.com
    MACOSX_BUNDLE_BUNDLE_VERSION ${PROJECT_VERSION}
    MACOSX_BUNDLE_SHORT_VERSION_STRING ${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}
    MACOSX_BUNDLE TRUE
    WIN32_EXECUTABLE TRUE
)

install(TARGETS vectorimagetest
    BUNDLE DESTINATION .
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
)

qt_add_qml_module(vectorimagetest
    VERSION 1.0
    URI VectorImageTest
    QML_FILES
        VectorImage.qml
        LottieAnimation.qml
)


if(QT_VERSION_MAJOR EQUAL 6)
    qt_finalize_executable(vectorimagetest)
endif()

=== examples/quick/tableview/gameoflife/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

cmake_minimum_required(VERSION 3.16)
project(gameoflife LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)

find_package(Qt6 REQUIRED COMPONENTS Core Gui Qml Quick)

qt_standard_project_setup(REQUIRES 6.8)

qt_add_executable(gameoflife
    WIN32
    MACOSX_BUNDLE
    gameoflifemodel.cpp gameoflifemodel.h
    main.cpp
)

target_link_libraries(gameoflife PRIVATE
    Qt6::Core
    Qt6::Gui
    Qt6::Qml
    Qt6::Quick
)

qt_add_qml_module(gameoflife
    URI GameOfLifeModel
    QML_FILES main.qml
    RESOURCES gosperglidergun.cells
    NO_RESOURCE_TARGET_PATH
    DEPENDENCIES
        QtQml.Models
)

install(TARGETS gameoflife
    BUNDLE  DESTINATION .
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
)

qt_generate_deploy_qml_app_script(
    TARGET gameoflife
    OUTPUT_SCRIPT deploy_script
    MACOS_BUNDLE_POST_BUILD
    NO_UNSUPPORTED_PLATFORM_ERROR
    DEPLOY_USER_QML_MODULES_ON_UNSUPPORTED_PLATFORM
)
install(SCRIPT ${deploy_script})

=== PKGBUILD ===
# Contributor: Mehdi Chinoune <mehdi.chinoune@hotmail.com>
# Contributor: Gary Wang <opensource@blumia.net>

_realname=qt6-declarative
pkgbase=mingw-w64-${_realname}
pkgname=("${MINGW_PACKAGE_PREFIX}-${_realname}"
         "${MINGW_PACKAGE_PREFIX}-${_realname}-debug")
_qtver=6.10.0
pkgver=${_qtver/-/}
pkgrel=1
pkgdesc='Classes for QML and JavaScript languages (mingw-w64)'
arch=(any)
mingw_arch=('mingw64' 'ucrt64' 'clang64' 'clangarm64')
url='https://www.qt.io'
msys2_repository_url="https://code.qt.io/cgit/qt/qtdeclarative.git"
msys2_references=(
  'archlinux: qt6-declarative'
  "cpe: cpe:/a:qt:qt"
)
license=('spdx:LGPL-3.0-only WITH Qt-GPL-exception-1.0 AND BSD-3-Clause AND GFDL-1.3-no-invariants-only AND GPL-2.0-only AND GPL-3.0-only')
makedepends=("${MINGW_PACKAGE_PREFIX}-cc"
             "${MINGW_PACKAGE_PREFIX}-cmake"
             "${MINGW_PACKAGE_PREFIX}-ninja"
             "${MINGW_PACKAGE_PREFIX}-qt6-base"
             "${MINGW_PACKAGE_PREFIX}-qt6-shadertools"
             "${MINGW_PACKAGE_PREFIX}-qt6-languageserver"
             "${MINGW_PACKAGE_PREFIX}-qt6-svg"
             "rsync")
_pkgfn="${_realname/6-/}-everywhere-src-${_qtver}"
source=("https://download.qt.io/official_releases/qt/${pkgver%.*}/${_qtver}/submodules/${_pkgfn}.tar.xz"
        001-appending-qt6-to-remove-qt5-conflict.patch)
sha256sums=('6efd35520902395d865bc12e89f8442c3c228d0374f13af9a1888b844f56f6b0'
            '1957105a190cec1151bc51d77c1818de3ed9fc9f73d50cf6ddedd6fea81acda9')

# Helper macros to help make tasks easier #
apply_patch_with_msg() {
  for _patch in "$@"
  do
    msg2 "Applying ${_patch}"
    patch -Nbp1 -i "${srcdir}/${_patch}"
  done
}

prepare() {
  cd $srcdir/${_pkgfn}

  apply_patch_with_msg \
    001-appending-qt6-to-remove-qt5-conflict.patch
}

build() {
  mkdir -p build-${MSYSTEM} && cd build-${MSYSTEM}

  MSYS2_ARG_CONV_EXCL="-DCMAKE_INSTALL_PREFIX=" \
  ${MINGW_PREFIX}/bin/cmake \
    --log-level=STATUS \
    -GNinja \
    -DCMAKE_BUILD_TYPE=RelWithDebInfo \
    -DCMAKE_INSTALL_PREFIX=${MINGW_PREFIX} \
    -DPython_EXECUTABLE=${MINGW_PREFIX}/bin/python \
    ../${_pkgfn}

  PATH=$PWD/bin:$PATH ${MINGW_PREFIX}/bin/cmake --build .
}

package_qt6-declarative() {
  depends=("${MINGW_PACKAGE_PREFIX}-qt6-base")
  optdepends=("${MINGW_PACKAGE_PREFIX}-qt6-svg: for QtQuickVectorImage and svgtoqml"
              "${MINGW_PACKAGE_PREFIX}-qt6-shadertools"
              "${MINGW_PACKAGE_PREFIX}-qt6-languageserver")
  groups=("${MINGW_PACKAGE_PREFIX}-qt6")

  DESTDIR="${pkgdir}" ${MINGW_PREFIX}/bin/cmake --install build-${MSYSTEM}

  # Seperate debug-info files
  rsync -armR --remove-source-files --include="*/" --include="*.debug" --exclude="*" --prune-empty-dirs "${pkgdir}"/.${MINGW_PREFIX} "${srcdir}"/${MSYSTEM}-debug/

  install -d "$pkgdir${MINGW_PREFIX}"/share/licenses/${_realname}
  install -Dm644 $_pkgfn/LICENSES/* -t "$pkgdir${MINGW_PREFIX}"/share/licenses/${_realname}
}

package_qt6-declarative-debug() {
  depends=("${MINGW_PACKAGE_PREFIX}-qt6-base-debug"
           "${MINGW_PACKAGE_PREFIX}-${_realname}")
  groups=("${MINGW_PACKAGE_PREFIX}-qt6-debug")
  options=('!strip')

  cp -rf "${srcdir}"/${MSYSTEM}-debug${MINGW_PREFIX} "${pkgdir}"/
}

# template start; name=mingw-w64-splitpkg-wrappers; version=1.0;
# vim: set ft=bash :

# generate wrappers
for _name in "${pkgname[@]}"; do
  _short="package_${_name#${MINGW_PACKAGE_PREFIX}-}"
  _func="$(declare -f "${_short}")"
  eval "${_func/#${_short}/package_${_name}}"
done
# template end;
